function vertabops(result)
% VERTABOPS Shows the table with the partial result obtained with execops function
%
% vertabops(result)
%
% See also: EXECOPS, SELSETOPS, OPSWIZARD, OPSWIZARDGUI

%  Copyright  LQTA-Unicamp OPS 1.0, Inc. 2006-2007
%  Any change, recompilation, translation or M-files conversion
%  cannot be done without written permission of
%  LQTA-Unicamp OPS 1.0, Inc.
%
%  Modified 12/06
%  Checked on MATLAB 7 by RFT  13/12/06
%  Added support for cross validation by JPAM 14/12/06
%  Modified 02/07
%  Checked on MATLAB 7 by RFT  15/02/07
%  -standard IO mods

T  = result.tabela;
[u,h] = size(result.rmsecvout);
txt = cell(0);
txt{end+1} = ('  ');
txt{end+1} = ('              Partial results               ');
txt{end+1} = ('  ');
txt{end+1} = ('   ------------- Results ---------------    ');
txt{end+1} = ('   set.    nVar   nLV     RMSECV    rcv     ');
txt{end+1} = ('   -----   -----  -----   ------    ----    ');
format =      '   %3.0f     %3.0f    %3.0f     %1.4f  %0.3f';
for ii=1:h
    txt{end+1} = sprintf(format,T(ii,:));
end
txt{end+1} = ('   _____________________________________   ');
disp(sprintf('%s\n',txt{:}));

figure
rmsecv_v = T(:,4);
nvl = T(:,3);
plot(T(:,1),rmsecv_v,'-o')
nvls = num2str(nvl);
text(T(:,1)+0.15,rmsecv_v,nvls)
grid on
ylabel ('RMSECV')
xlabel ('Set of variables')
holin(rmsecv_v(h),'-r')
text(min(T(:,1))+1,rmsecv_v(h),['rmsecv of all variables = ',num2str(rmsecv_v(h)),...
    '    nLV = ',num2str(nvl(h))],'verticalalignment','bottom','FontSize',12)

pn = ((T(:,5)*norm(rmsecv_v,inf))./rmsecv_v);
pm = max(max(pn));
[L] = find(pn == pm);
sel = [T(L,1) T(L,2) T(L,3) T(L,4) T(L,5)];

[u,h] = size(result.rmsecvout);
txt = cell(0);
txt{end+1} = ('  ');
txt{end+1} = ('             Suggested result               ');
txt{end+1} = ('  ');
txt{end+1} = ('   -------------  Suggestion  ------------  ');
txt{end+1} = ('   set.    nVars   nLV    RMSECV    rcv     ');
txt{end+1} = ('   -----   -----  -----   ------    ----    ');
format =      '   %3.0f     %3.0f    %3.0f     %1.4f  %0.3f';
for ii=1:1
    txt{end+1} = sprintf(format,sel(ii,:));
end
txt{end+1} = ('   _____________________________________   ');
disp(sprintf('%s\n',txt{:}));

