function varargout = escolhe_VL(varargin)
% Window for choosing the latent variables number that will be used 
% in the first PLS model with all variables (hOPS)
%
%  Copyright  LQTA-Unicamp OPS 1.0, Inc. 2006-2007
%  Any change, recompilation, translation or M-files conversion
%  cannot be done without written permission of
%  LQTA-Unicamp OPS 1.0, Inc.
%
%  Modified 02/07
%  Checked on MATLAB 7 by JPAM  06/02/07
%  -standard IO mods

% ESCOLHE_VL M-file for escolhe_VL.fig
%      ESCOLHE_VL, by itself, creates a new ESCOLHE_VL or raises the existing
%      singleton*.
%
%      H = ESCOLHE_VL returns the handle to a new ESCOLHE_VL or the handle to
%      the existing singleton*.
%
%      ESCOLHE_VL('CALLBACK',hObject,eventData,handles,...) calls the local
%      function named CALLBACK in ESCOLHE_VL.M with the given input arguments.
%
%      ESCOLHE_VL('Property','Value',...) creates a new ESCOLHE_VL or raises the
%      existing singleton*.  Starting from the left, property value pairs are
%      applied to the GUI before escolhe_VL_OpeningFunction gets called.  An
%      unrecognized property name or invalid value makes property application
%      stop.  All inputs are passed to escolhe_VL_OpeningFcn via varargin.
%
%      *See GUI Options on GUIDE's Tools menu.  Choose "GUI allows only one
%      instance to run (singleton)".
%
% See also: GUIDE, GUIDATA, GUIHANDLES

% Copyright 2002-2003 The MathWorks, Inc.

% Edit the above text to modify the response to help escolhe_VL

% Last Modified by GUIDE v2.5 13-Mar-2007 09:15:42

% Begin initialization code - DO NOT EDIT
gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @escolhe_VL_OpeningFcn, ...
                   'gui_OutputFcn',  @escolhe_VL_OutputFcn, ...
                   'gui_LayoutFcn',  [] , ...
                   'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end
% End initialization code - DO NOT EDIT


% --- Executes just before escolhe_VL is made visible.
function escolhe_VL_OpeningFcn(hObject, eventdata, handles, varargin)
% This function has no output args, see OutputFcn.
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
% varargin   command line arguments to escolhe_VL (see VARARGIN)

% Choose default command line output for escolhe_VL
handles.output = hObject;

handles.X = varargin{1};
handles.y = varargin{2};
handles.prepro_method = varargin{3};
handles.nret = varargin{4};

% Update handles structure
guidata(hObject, handles);

% UIWAIT makes escolhe_VL wait for user response (see UIRESUME)
% uiwait(handles.figure1);


% --- Outputs from this function are returned to the command line.
function varargout = escolhe_VL_OutputFcn(hObject, eventdata, handles) 
% varargout  cell array for returning output args (see VARARGOUT);
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Get default command line output from handles structure
varargout{1} = handles.output;



function editVL_Callback(hObject, eventdata, handles)
% hObject    handle to editVL (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of editVL as text
%        str2double(get(hObject,'String')) returns contents of editVL as a double
handles.VL = get(hObject,'String');
guidata(hObject,handles);

% --- Executes during object creation, after setting all properties.
function editVL_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editVL (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end


% --- Executes on button press in pushbutton1.
function pushbutton1_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
VL = get(handles.editVL,'String');
handles.VL = str2double(VL);
if ((isnan(handles.VL))||(handles.VL<=0))
    errordlg('Invalid value','Error','modal');
else
    guidata(hObject,handles);
    figure;
    handles.vectors = vectops(handles.X,handles.y,handles.prepro_method,handles.nret,handles.VL);
    escolhe_vetor(handles.X,handles.y,handles.prepro_method,handles.VL,handles.vectors,handles.nret);
    %delete(handles.figure1);
end




% --- If Enable == 'on', executes on mouse press in 5 pixel border.
% --- Otherwise, executes on mouse press in 5 pixel border or over pushbutton1.
function pushbutton1_ButtonDownFcn(hObject, eventdata, handles)
% hObject    handle to pushbutton1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


