function varargout = opswizardgui(varargin)
% OPSWIZARDGUI Executes OPS algorithm guiding the user with instructions in
% graphic mode (GUI) of how he/she should proceed in each step of the algorithm
%
% See also: VECTOPS, SELVECTOPS, EXECOPS, SELSETOPS, OPSWIZARD

%  Copyright  LQTA-Unicamp OPS 1.0, Inc. 2006-2007
%  Any change, recompilation, translation or M-files conversion
%  cannot be done without written permission of
%  LQTA-Unicamp OPS 1.0, Inc.
%
%  Modified 02/07
%  Checked on MATLAB 7 by JPAM  06/02/07
%  -standard IO mods

% OPSWIZARDGUI M-file for opswizardgui.fig
%      OPSWIZARDGUI, by itself, creates a new OPSWIZARDGUI or raises the existing
%      singleton*.
%
%      H = OPSWIZARDGUI returns the handle to a new OPSWIZARDGUI or the handle to
%      the existing singleton*.
%
%      OPSWIZARDGUI('CALLBACK',hObject,eventData,handles,...) calls the local
%      function named CALLBACK in OPSWIZARDGUI.M with the given input arguments.
%
%      OPSWIZARDGUI('Property','Value',...) creates a new OPSWIZARDGUI or raises the
%      existing singleton*.  Starting from the left, property value pairs are
%      applied to the GUI before opswizardgui_OpeningFunction gets called.  An
%      unrecognized property name or invalid value makes property application
%      stop.  All inputs are passed to opswizardgui_OpeningFcn via varargin.
%
%      *See GUI Options on GUIDE's Tools menu.  Choose "GUI allows only one
%      instance to run (singleton)".
%
% See also: GUIDE, GUIDATA, GUIHANDLES

% Copyright 2002-2003 The MathWorks, Inc.

% Edit the above text to modify the response to help opswizardgui

% Last Modified by GUIDE v2.5 05-Jun-2007 19:05:38

% Begin initialization code - DO NOT EDIT
gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @opswizardgui_OpeningFcn, ...
                   'gui_OutputFcn',  @opswizardgui_OutputFcn, ...
                   'gui_LayoutFcn',  [] , ...
                   'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end
% End initialization code - DO NOT EDIT


% --- Executes just before opswizardgui is made visible.
function opswizardgui_OpeningFcn(hObject, eventdata, handles, varargin)
% This function has no output args, see OutputFcn.
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
% varargin   command line arguments to opswizardgui (see VARARGIN)

% Choose default command line output for opswizardgui
handles.output = hObject;
update_listbox(handles);
handles.var_indep = '';
handles.var_dep = '';
handles.prepro_method = 'auto';

% Update handles structure
guidata(hObject, handles);

% UIWAIT makes opswizardgui wait for user response (see UIRESUME)
% uiwait(handles.figure1);


% --- Outputs from this function are returned to the command line.
function varargout = opswizardgui_OutputFcn(hObject, eventdata, handles) 
% varargout  cell array for returning output args (see VARARGOUT);
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Get default command line output from handles structure
varargout{1} = handles.output;


% --- Executes on selection change in lbvariaveis.
function lbvariaveis_Callback(hObject, eventdata, handles)
% hObject    handle to lbvariaveis (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: contents = get(hObject,'String') returns lbvariaveis contents as cell array
%        contents{get(hObject,'Value')} returns selected item from lbvariaveis


% --- Executes during object creation, after setting all properties.
function lbvariaveis_CreateFcn(hObject, eventdata, handles)
% hObject    handle to lbvariaveis (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: listbox controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end

function update_listbox(handles)
vars = evalin('base','who');
set(handles.lbvariaveis,'String',vars)




% --- Executes on button press in atualiza.
function atualiza_Callback(hObject, eventdata, handles)
% hObject    handle to atualiza (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

update_listbox(handles);


% --- Executes on button press in vindep.
function vindep_Callback(hObject, eventdata, handles)
% hObject    handle to vindep (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
ind = get(handles.lbvariaveis,'Value');
variaveis = get(handles.lbvariaveis,'String');
var_indep = variaveis{ind};
set(handles.editvindep,'String',var_indep);
handles.var_indep = var_indep;
guidata(hObject,handles);


% --- Executes on button press in vdep.
function vdep_Callback(hObject, eventdata, handles)
% hObject    handle to vdep (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
ind = get(handles.lbvariaveis,'Value');
variaveis = get(handles.lbvariaveis,'String');
var_dep = variaveis{ind};
set(handles.editvdep,'String',var_dep);
handles.var_dep = var_dep;
guidata(hObject,handles);


% --- Executes on selection change in lbvselec.
function lbvselec_Callback(hObject, eventdata, handles)
% hObject    handle to lbvselec (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: contents = get(hObject,'String') returns lbvselec contents as cell array
%        contents{get(hObject,'Value')} returns selected item from lbvselec


% --- Executes during object creation, after setting all properties.
function lbvselec_CreateFcn(hObject, eventdata, handles)
% hObject    handle to lbvselec (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: listbox controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function editvindep_Callback(hObject, eventdata, handles)
% hObject    handle to editvindep (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of editvindep as text
%        str2double(get(hObject,'String')) returns contents of editvindep as a double


% --- Executes during object creation, after setting all properties.
function editvindep_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editvindep (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function editvdep_Callback(hObject, eventdata, handles)
% hObject    handle to editvdep (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of editvdep as text
%        str2double(get(hObject,'String')) returns contents of editvdep as a double



% --- Executes during object creation, after setting all properties.
function editvdep_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editvdep (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end




% --- Executes on button press in rodaops.
function rodaops_Callback(hObject, eventdata, handles)
% hObject    handle to rodaops (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
a = ~isempty(handles.var_indep);
b = ~isempty(handles.var_dep);
if a&b        
    X = evalin('base',handles.var_indep);
    y = evalin('base',handles.var_dep);
    nret = str2double(get(handles.nret,'String'));
    dimX = length(size(X));
    dimy = length(size(y));
    if isnumeric(X)&isnumeric(y)&(dimX==2)&(dimy==2)
        [m,n] = size(X);
        [p,q] = size(y);
        if m~=p
            errordlg('The variables must have the same number of rows','Dimensions error','modal');
        elseif q~=1
            errordlg('The dependent variable must have just one column','Dimensions error','modal');
        else
            % chama o OPS
            %x = teste(handles.prepro_method);
            figure;
            escvlops(X,y,handles.prepro_method,nret);
            escolhe_VL(X,y,handles.prepro_method,nret);
            %vectors = vectops(X,y,handles.prepro_method);
            %handles.vectors = vectors;
        end
    else
        errordlg('The selected variables are not matrices','Variables error','modal');
    end
else
    errordlg('Select the variables','Error','modal');
end




% --------------------------------------------------------------------
function bgprepro_SelectionChangeFcn(hObject, eventdata, handles)
% hObject    handle to bgprepro (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
selecao = get(handles.bgprepro,'SelectedObject');
switch get(selecao,'Tag')
    case 'rbauto'
        handles.prepro_method = 'auto';
    case 'rbmedia'
        handles.prepro_method = 'mean';
    case 'rbnenhum'
        handles.prepro_method = 'none';
end
guidata(hObject,handles);


% --- Executes on button press in abrir.
function abrir_Callback(hObject, eventdata, handles)
% hObject    handle to abrir (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
[filename, pathname] = uigetfile({'*.mat', 'All MAT-Files (*.mat)';'*.*','All Files (*.*)'},'Open file');
if isequal([filename,pathname],[0,0])
    return
else
    File = fullfile(pathname,filename);
    comando = ['load ' File];
    evalin('base',comando);
    update_listbox(handles);
end






function nret_Callback(hObject, eventdata, handles)
% hObject    handle to nret (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of nret as text
%        str2double(get(hObject,'String')) returns contents of nret as a double


% --- Executes during object creation, after setting all properties.
function nret_CreateFcn(hObject, eventdata, handles)
% hObject    handle to nret (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end


