function [Xor,ind] = selvectopsgui(X,vector,op)
% SELVECTOPSGUI it has the same function of SELVECTOPS, but is used only by the 
% graphic version (GUI) 
%
%          X (m,n): independent variables matrix
%          vector (1,n) ou (n,1): informative vector
%          vector also can be the output of vectops function. In this case 
%          a message asking to the user select a vector will be shown in the screen
%
% [Xor,ind] = selvectopsgui(X,vector,op)
%
% See also: VECTOPS, ESCVLOPS, EXECOPS

%  Copyright  LQTA-Unicamp OPS 1.0, Inc. 2006-2007
%  Any change, recompilation, translation or M-files conversion
%  cannot be done without written permission of
%  LQTA-Unicamp OPS 1.0, Inc.
%
%  Modified 12/06
%  Checked on MATLAB 7 by RFT  13/12/06
%  Added support for cross validation by JPAM 14/12/06
%  -standard IO mods

switch op
    case 1
        vector = vector.reg;
    case 2
        vector = vector.corr;
    case 3
        vector = vector.prod;
    otherwise
        display('Opo invlida! O vetor produto ser usado');
        vector = vector.prod;
end

vector = abs(vector); %somente os valores absolutos
[vector,ind] = sort(vector,1,'descend'); %ordenao decrescente dos valores no vetor

[m,n]=size(X);
for i = 1:n
    Xor(:,i) = X(:,ind(i)); %a matriz  ordenada pelo vetor ordenado
end