function [Xal,yal] = aleatoriza(X,y);
% Randomize the samples in matrices X and y
% Input X (m,n): original matrix
% 	y (m,1): original matrix
% Output Xal (m,n): randomized matrix
% 	yal (m,1): randomized matrix
%  [Xal,yal] = aleatoriza(X,y);
%
% See also: PREPROCESSA, REESCALA, CENTRA, VAL_CRUZADA

%  Copyright  LQTA-Unicamp OPS 1.0, Inc. 2006-2007
%  Any change, recompilation, translation or M-files conversion
%  cannot be done without written permission of
%  LQTA-Unicamp OPS 1.0, Inc.
%
%  Modified 02/07
%  Checked on MATLAB 7 by JPAM  06/02/07
%  -standard IO mods

[m,n] = size(X);
for i=1:m
    k = 1+(m-i)*rand;
    k = round(k);
    Xal(i,:) = X(k,:);
    X = [X(1:(k-1),:);X((k+1):(m-i+1),:)];
    yal(i,:) = y(k,:);
    y = [y(1:(k-1),:);y((k+1):(m-i+1),:)]; 
end
    