function [A,media,desvio] = centra(X)
% CENTRA Mean center the X matrix
%
% Input: X (m,n): matrix
% Output: A (m,n): mean centered matrix
% media: line vector with the means of the columns in X
% desvio: line vector with the standard deviations of the columns in X
%
% [A,media,desvio] = centra(X)
%
% See also: PREPROCESSA, REESCALA, AUTOESCALA, VAL_CRUZADA

%  Copyright  LQTA-Unicamp OPS 1.0, Inc. 2006-2007
%  Any change, recompilation, translation or M-files conversion
%  cannot be done without written permission of
%  LQTA-Unicamp OPS 1.0, Inc.
%
%  Modified 02/07
%  Checked on MATLAB 7 by JPAM  06/02/07
%  -standard IO mods

[m,n] = size(X);
media = mean(X);
desvio = std(X);
X = X - ones(m,1)*media;
A=X;

