function ycorr = correlograma(X,y)
% CORRELOGRAMA Finds the correlation between each column of X matrix and the 
% vector y
%
% Entrada: X (m,n): matrix
% y (m,1): vector
% Sada: ycorr (m,1): correlation vector (correlogram)
%
% ycorr = correlograma(X,y)
%
% See also: PREPROCESSA, AUTOESCALA, CENTRA, VAL_CRUZADA

%  Copyright  LQTA-Unicamp OPS 1.0, Inc. 2006-2007
%  Any change, recompilation, translation or M-files conversion
%  cannot be done without written permission of
%  LQTA-Unicamp OPS 1.0, Inc.
%
%  Modified 02/07
%  Checked on MATLAB 7 by JPAM  06/02/07
%  -standard IO mods

X = autoescala(X);
y = autoescala(y);
[m,n] = size(X);
ycorr = (X'*y)/(m-1);
