function h = dlin(lc)
%  DLIN Draw a diagonal line at the desired figure. 
%
%  h = dlin(lc);
%
%  See also: HOLIN, VELIN

%  Copyright  LQTA-Unicamp OPS 1.0, Inc. 2006-2007
%  Any change, recompilation, translation or M-files conversion
%  cannot be done without written permission of
%  LQTA-Unicamp OPS 1.0, Inc.
%
%  Checked on MATLAB 7 by RFT  16/02/07
%  -standard IO mods

if nargin<1
  lc  = '-r';
end

if ischar(lc) & ismember(lc,evr([],'validtopics'));
  varargin{1} = lc;
  options = [];
  if nargout==0; evr(mfilename,varargin{1},options); else; h = evr(mfilename,varargin{1},options); end
  return; 
end

v     = axis;
ur = max([v(2) v(4)]);
ll = min([v(1) v(3)]);
if ishold
  h = plot([ll ur],[ll ur],lc);
else
  hold on, h = plot([ll ur],[ll ur],lc); hold off
end

if nargout == 0; clear h; end 