function h = holin(y,lc)
%  HOLIN Draw horizontal lines at the desired figure.
%  holin(1.7,'-r'); plots a horizontal red line at the position y = 1.7.
%  
%  h = holin(y,lc)
%
%  See also: DLIN, VELIN

%  Copyright  LQTA-Unicamp OPS 1.0, Inc. 2006-2007
%  Any change, recompilation, translation or M-files conversion
%  cannot be done without written permission of
%  LQTA-Unicamp OPS 1.0, Inc.
%
%  Checked on MATLAB 7 by RFT  16/02/07
%  -standard IO mods

if nargin==0
  y   = 0;
  lc  = '-g';
end
if nargin==1                 %1/01 nbg
  if isa(y,'char')
    lc = y;
    y  = 0;
  elseif isa(y,'double')
    lc = '-g';
  end
end

if ischar(lc) & ismember(lc,evr([],'validtopics'));
  varargin{1} = lc;
  options = [];
  if nargout==0; evr(mfilename,varargin{1},options); else; h = evr(mfilename,varargin{1},options); end
  return; 
end

[m,n] = size(y);
if m>1&n>1
  error('Error - input must be a scaler or vector')
elseif n>1
  y   = y';
  m   = n;
end

v     = axis;
if ishold
  for ii=1:m
    h(ii) = plot(v(1:2),[1 1]*y(ii,1),lc);
  end
else
  hold on
  for ii=1:m
    h(ii) = plot(v(1:2),[1 1]*y(ii,1),lc);
  end
  hold off
end

if nargout == 0;
  clear h
end
