function beta = plskernel(X,Y,A)
%
% Dayal BS and MacGregor JF
% J. Chemom. 11,73-85 (1997)
%
% [W,P,Q,R,beta] = plskernel(X,Y,A);
%
% Modified kernel algorithm #1
[a,M] = size(Y);
XY=X'*Y; % compute X TY
for i=1:A, % A=number of PLS components to be computed
    if M==1, % if there is a single response variable, compute the
        w=XY; % X-weights as shown here
    else % else
        [C,D]=eig(XY'*XY); % first compute the eigenvectors of YTXXTY
        q=C(:,find(diag(D)==max(diag(D)))); % ?nd the eigenvector corresponding to the largest
        % eigenvalue
        w=(XY*q); % compute X-weights
    end
    w=w/sqrt(w'*w); % normalize w to unity
    r=w; % loop to compute ri
    for j=1:i-1,
        r=r-(P(:,j)'*w)*R(:,j);
    end
    t=X*r; % compute score vector
    tt=(t'*t); % compute tTt
    p=(X'*t)/tt; % X-loadings
    q=(r'*XY)'/tt; % Y-loadings
    XY=XY-(p*q')*tt; % XTY de?ation
    W(:,i) = w;
    P(:,i) = p;
    Q(:,i) = q;
    R(:,i) = r;
    beta(:,i) = R*Q';
end
%beta=R*Q'; % compute the regression coef?cients
