function h = velin(x,lc)
%  VELIN Draw vertical lines at the desired figure.
%  velin(2.3,'-r'); plots a vertical red line at the position x = 2.3.
%  
%  h = holin(y,lc)
%
%  See also: DLIN, HOLIN

%  Copyright  LQTA-Unicamp OPS 1.0, Inc. 2006-2007
%  Any change, recompilation, translation or M-files conversion
%  cannot be done without written permission of
%  LQTA-Unicamp OPS 1.0, Inc.
%
%  Checked on MATLAB 7 by RFT  16/02/07
%  -standard IO mods

if nargin==0
  x   = 0;
  lc  = '-g';
end
if nargin==1                 %1/01 nbg
  if isa(x,'char')
    lc = x;
    x  = 0;
  elseif isa(x,'double')
    lc = '-g';
  end
end

if isa(lc,'char') & ismember(lc,evr([],'validtopics'));
  varargin{1} = lc;
  options = [];
  if nargout==0; clear h; evr(mfilename,varargin{1},options); else; h = evr(mfilename,varargin{1},options); end
  return; 
end

[m,n] = size(x);
if m>1&n>1
  error('Error - input must be a scaler or vector')
elseif n>1
  x   = x';
  m   = n;
end

v     = axis;
if ishold
  for ii=1:m
    h(ii) = plot([1 1]*x(ii,1),v(3:4),lc);
  end
else
  hold on
  for ii=1:m
    h(ii) = plot([1 1]*x(ii,1),v(3:4),lc);
  end
  hold off
end

if nargout == 0;
  clear h
end
